Subject: Re: bug#64711: [PATCH 00/45] Fix builds and skip failing tests for the Hurd.
From: Janneke Nieuwenhuizen <[email-masked]>
To: Ludovic Courtès <[email-masked]>
Cc: [email-masked]
Date: Thu, 20 Jul 2023 10:27:10 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Ludovic Courtès writes:

Hi,

> Janneke Nieuwenhuizen <[email-masked]> skribis:
>
>> Also, most probably problematic tests in the guile test suite were fixed on
>> guile master.  As I understand, Josselin is working on this, so way may want
>> to skip the patch for guile (or apply it anyway and revert it later).
>>
>> Because many patches are almost trivial and similar, you may want to give some
>> specific comments to the non-trivial patches and possibly some general
>> comments for the trivial ones instead of a LGTM on every individual patch?
>
> So modulo the few comments I sent, I think this looks good.

\o/

> There’s a couple of things to check (which I haven’t do):
>
>   • Make sure x86_64-linux derivations (for instance) are unchanged.
>     That is, ‘./pre-inst-env guix build libreoffice -d’ should produce
>     the same thing before and after this patch series, on x86_64-linux.
>     (Pro tip: replace ‘-d’ with ‘-n’; if there are substitutes, it means
>     it hasn’t changed. :-))

Ah, that's a nice trick.  Checked!  What I did, was after developing
each patch (only) check that x86_64 package didn't get rebuilt.

>   • Make sure ‘guix build sed --target=i586-pc-gnu’ still works.
>     Probably the derivation should be unchanged, but maybe it’s OK if it
>     changes (sometimes avoiding a cross-rebuild would require extra
>     boilerplate that we’d rather not have).

Checked!  (It changed, of course).

>   • And well, ‘guix build sed -s i586-gnu’ should work as well, but
>     that’s the whole point of this series!

Checked!  -- but here I cheated a bit, I've only checked this before
rebasing.

> Thanks a lot for all the work!

Thank you (and other reviewers) for all the help!

Pushed to master as 6547d3852b11966271535962110d9e68f50c95fc

Janneke

-- 
Janneke Nieuwenhuizen <[email-masked]>  | GNU LilyPond https://LilyPond.org
Freelance IT https://www.JoyOfSource.com | Avatar® https://AvatarAcademy.com